com.atid.lib.module.barcode.ssi.param

## Class SSI1DParamNameList

- java.lang.Object
- - com.atid.lib.module.barcode.ssi.param.SSI1DParamNameList

-     public class SSI1DParamNameList
      extends java.lang.Object

  Get data of barcode scanner's parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSI1DParamNameList()` Create an instance of the SSI1DParamNameList class.
    `SSI1DParamNameList(SSI1DParamName item)` Create an instance of the SSI1DParamNameList class.
    `SSI1DParamNameList(SSI1DParamName[] items)` Create an instance of the SSI1DParamNameList class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(SSI1DParamName item)` Add parameter type to the SSI1DParamNameList instance.
    `boolean` | `add(SSI1DParamName[] items)` Add all the information for the SSI1DParamNameList instance.
    `byte[]` | `getBytes(int engine)` Returns the parameter value to the barcode module of the instrument.
    `int` | `getCount()` Returns the type of parameter stored in the SSI1DParamNameList instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSI1DParamNameList

          public SSI1DParamNameList()

      Create an instance of the SSI1DParamNameList class.

    - #### SSI1DParamNameList

          public SSI1DParamNameList(SSI1DParamName item)

      Create an instance of the SSI1DParamNameList class.

    - #### SSI1DParamNameList

          public SSI1DParamNameList(SSI1DParamName[] items)

      Create an instance of the SSI1DParamNameList class.

  - ### Method Detail

    - #### getCount

          public int getCount()

      Returns the type of parameter stored in the SSI1DParamNameList instance.
      Returns:
        An integer representing the count.

    - #### add

          public boolean add(SSI1DParamName item)

      Add parameter type to the SSI1DParamNameList instance.
      Parameters:
        `item` - SSI1DParamName represent the parameter type.
      Returns:
        An boolean The result of adding the SSI1DParamNameList instance.

    - #### add

          public boolean add(SSI1DParamName[] items)

      Add all the information for the SSI1DParamNameList instance.
      Parameters:
        `items` - An instance of SSI1DParamNameList with added parameter informations.
      Returns:
        An boolean The result of adding the SSI1DParamNameList instance.

    - #### getBytes

          public byte[] getBytes(int engine)
                          throws ATException

      Returns the parameter value to the barcode module of the instrument.
      Parameters:
        `engine` - An identifier representing the type of the barcode module.
      Returns:
        A byte array representing an array of parameter names and values corresponding to the array of parameter names in the barcode module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.